#ifndef QUEUE_H_
#define QUEUE_H_

//
// Include the C standard library header file here
//

//
// Other header files are included here
//

//
// Define the data structure here
//

#define MAX_QUEUE_LENGTH 64 	// Maximum queue length

// circle queue
typedef struct Queue
{
	int buffer[MAX_QUEUE_LENGTH];	// queue buffer
	int begin;		// starting position
	int end;		// end position
	int length;		// queue size
}Queue;

//
// Declare the function here
//

void InitQueue(Queue* pQ);
int EnQueue(Queue* pQ, int Elem);
int DeQueue(Queue* pQ);
int QueueEmpty(Queue* pQ);

//
// Declare global variables here
//

#endif /* QUEUE_H_ */
